#!/bin/bash

SCRIPT="RUN_CKASTL :"
IMPLE="CKASTL"
MESURES="/home/claferri/bench/resa/mesures"
BINARY="/home/claferri/bench/resa/bin"

# TEST :
#TAILLES="1000 1500"
TAILLES="1000 1500 2000 2500 5000 7500 15000 30000 65000 80000 110000 130000 150000 200000 260000"
#THREADS="1 2 4 8"


#EXEC="ckastl_merge ckastl_min_element ckastl_transform"
EXEC="ckastl_min_element"
ITER=1000
RUN=$1

echo $SCRIPT $IMPLEM - RUN : $1
#
#for taille in $TAILLES
#do
#  thread=1
#  exec="ckastl_transform_restructured"
#  (time CKAAPI_CPUSET=32768 numactl --interleave=7 $BINARY/$exec $taille $thread $ITER) &> $MESURES/$IMPLE/$exec"_"$thread"_"$taille.$RUN
#done

for exec in $EXEC
do
  for taille in $TAILLES
  do
    thread=1
    (time CKAAPI_CPUSET=32768 numactl --interleave=7 $BINARY/$exec $taille $thread $ITER) &> $MESURES/$IMPLE/$exec"_"$thread"_"$taille.$RUN
    thread=2
    (time CKAAPI_CPUSET=40960 numactl --interleave=6,7 $BINARY/$exec $taille $thread $ITER) &> $MESURES/$IMPLE/$exec"_"$thread"_"$taille.$RUN
    thread=4
    (time CKAAPI_CPUSET=43520 numactl --interleave=4,5,6,7 $BINARY/$exec $taille $thread $ITER) &> $MESURES/$IMPLE/$exec"_"$thread"_"$taille.$RUN
    thread=8
    (time CKAAPI_CPUSET=43690 numactl --interleave=0,1,2,3,4,5,6,7 $BINARY/$exec $taille $thread $ITER) &> $MESURES/$IMPLE/$exec"_"$thread"_"$taille.$RUN
  done
done
