#!/bin/bash

IMPLE="TBB"
SCRIPT="RUN_"$IMPLE" :"
MESURES="/home/claferri/bench/resa/mesures"
BINARY="/home/claferri/bench/resa/bin"

# TEST :
#TAILLES="1000 1500"
TAILLES="1000 1500 2000 2500 5000 7500 15000 30000 65000 80000 110000 130000 150000 200000 260000"
#THREADS="1 2 4 8"


EXEC="tbb_merge tbb_min_element tbb_transform"
ITER=1000
RUN=$1

echo $SCRIPT $IMPLEM - RUN : $1

for exec in $EXEC
do
  for taille in $TAILLES
  do
    thread=1
    (time numactl --interleave=all $BINARY/$exec $taille $thread $ITER) &> $MESURES/$IMPLE/$exec"_"$thread"_"$taille.$RUN
    thread=2
    (time numactl --interleave=all $BINARY/$exec $taille $thread $ITER) &> $MESURES/$IMPLE/$exec"_"$thread"_"$taille.$RUN
    thread=4
    (time numactl --interleave=all $BINARY/$exec $taille $thread $ITER) &> $MESURES/$IMPLE/$exec"_"$thread"_"$taille.$RUN
    thread=8
    (time numactl --interleave=all $BINARY/$exec $taille $thread $ITER) &> $MESURES/$IMPLE/$exec"_"$thread"_"$taille.$RUN
  done
done
