#!/bin/bash

IMPLE="STL"
SCRIPT="RUN_"$IMPLE" :"
MESURES="/home/claferri/bench/resa/mesures"
BINARY="/home/claferri/bench/resa/bin"

# TEST :
#TAILLES="1000 1500"
TAILLES="1000 1500 2000 2500 5000 7500 15000 30000 65000 80000 110000 130000 150000 200000 260000"
#THREADS="1 2 4 8"


EXEC="stl_merge stl_min_element stl_transform"
ITER=1000
RUN=$1

echo $SCRIPT $IMPLEM - RUN : $1

for exec in $EXEC
do
  for taille in $TAILLES
  do
    thread=1
    (time numactl --physcpubind=15 --interleave=7 $BINARY/$exec $taille $thread $ITER) &> $MESURES/$IMPLE/$exec"_"$thread"_"$taille.$RUN
  done
done
